## alarmd 0.4.0

=== Makefile ===
# Makefile for alarmd
# Copyright (C) 2006 Nokia.  All rights reserved.
# Written by David Weinehall

VERSION := $(shell head -n1 debian/changelog | sed -e 's/^.*(\([^-]*\)\(-.*\)*).*$$/\1/')
LIBVER := 0:0:0

LIBTOOL := libtool --tag=BINCC

INSTALL := install -o root -g root --mode=755
INSTALL_DIR := install -d
INSTALL_DATA := install -o root -g root --mode=644

DOXYGEN := doxygen

PCDIR := $(DESTDIR)/usr/lib/pkgconfig
VARDIR := $(DESTDIR)/var/lib/alarmd
BINDIR := $(DESTDIR)/usr/bin
SBINDIR := $(DESTDIR)/sbin
LIBDIR := $(DESTDIR)/usr/lib
PLUGINDIR := $(DESTDIR)/usr/lib/alarmd
INCLUDEDIR := $(DESTDIR)/usr/include/alarmd
BACKUPDIR := $(DESTDIR)/etc/osso-backup/applications
CUDDIR := $(DESTDIR)/etc/osso-cud-scripts

TOPDIR := $(shell /bin/pwd)
DOCDIR := $(TOPDIR)/doc

PACKAGE=alarmd
TARGETS=alarmd libalarm.la libgtimeout.la libretu.la alarmtool apitest

WARNINGS += -Werror
WARNINGS += -W -Wall -Wpointer-arith -Wundef -Wcast-align
WARNINGS += -Wbad-function-cast -Wwrite-strings -Wsign-compare
WARNINGS += -Waggregate-return -Wmissing-noreturn -Wnested-externs
WARNINGS += -Wchar-subscripts -Wformat-security -Wmissing-prototypes
WARNINGS += -Wformat=2
#WARNINGS += -Wshadow

#CFLAGS = -g -O0
#LDFLAGS = -g
#CFLAGS += -DDEBUG_FUNC
CFLAGS += -DOSSOLOG_COMPILE
CFLAGS += $(WARNINGS)

alarmd_CFLAGS += `pkg-config glib-2.0 gobject-2.0 gmodule-2.0 dbus-1 libxml-2.0 libosso osso-ic mce osso-systemui-dbus --cflags` -DG_MODULE \
		-DPLUGINDIR=\"$(PLUGINDIR)\" -DDBUS_API_SUBJECT_TO_CHANGE -DPACKAGE=\"$(PACKAGE)\" -DVERSION=\"$(VERSION)\" -DDATADIR=\"$(VARDIR)\"
# Note, we don't have osso-ic here, as we don't want to link to it.
alarmd_LDFLAGS += `pkg-config glib-2.0 gobject-2.0 gmodule-2.0 dbus-1 libxml-2.0 libosso mce osso-systemui-dbus --libs` -export-dynamic

alarmd_SOURCES := alarmd.c event.c action.c object.c xmlobjectfactory.c \
		queue.c initialize.c timer-loader.c debug.c rpc-systemui.c \
		rpc-dbus.c actiondbus.c dbusobjectfactory.c rpc-osso.c \
		actionexec.c actiondialog.c rpc-statusbar.c \
		eventrecurring.c rpc-ic.c rpc-mce.c
alarmd_HEADERS := alarmd.h include/alarm_event.h event.h action.h \
		object.h queue.h xml-common.h rpc-osso.h \
		xmlobjectfactory.h initialize.h \
		timer-loader.h debug.h rpc-systemui.h \
		rpc-dbus.h actiondbus.h dbusobjectfactory.h \
		actionexec.h actiondialog.h rpc-statusbar.h \
		eventrecurring.h rpc-ic.h include/timer-interface.h \
		rpc-mce.h
alarmd_BACKUP := alarmd.conf
alarmd_CUD := alarmd.sh
alarmd_BACKUPDIR := $(BACKUPDIR)
alarmd_CUDDIR := $(CUDDIR)

alarmd_DIR := $(BINDIR)

libgtimeout_la_CFLAGS += `pkg-config glib-2.0 dbus-1 --cflags`
libgtimeout_la_LDFLAGS += `pkg-config glib-2.0 dbus-1 --libs` -module -avoid-version -rpath $(PLUGINDIR)

libgtimeout_la_SOURCES := timer-gtimeout.c
libgtimeout_la_HEADERS := include/timer-interface.h debug.h
libgtimeout_la_DIR := $(PLUGINDIR)

libretu_la_CFLAGS += `pkg-config glib-2.0 dbus-1 --cflags` -DDBUS_API_SUBJECT_TO_CHANGE
libretu_la_LDFLAGS += `pkg-config glib-2.0 dbus-1 --libs` -module -avoid-version -rpath $(PLUGINDIR)

libretu_la_SOURCES := timer-retu.c rpc-retutime.c
libretu_la_HEADERS := include/timer-interface.h debug.h rpc-retutime.h
libretu_la_DIR := $(PLUGINDIR)

libalarm_la_CFLAGS += `pkg-config dbus-1 --cflags`
libalarm_la_LDFLAGS += `pkg-config dbus-1 --libs` -rpath $(LIBDIR) -version-info $(LIBVER)

libalarm_la_SOURCES := alarm_event.c
libalarm_la_HEADERS := include/alarm_event.h include/alarm_dbus.h
libalarm_la_PC := libalarm.pc
libalarm_la_PCDIR := $(PCDIR)

libalarm_la_DIR := $(LIBDIR)
libalarm_la_INCLUDES := include/alarm_event.h include/alarm_dbus.h \
			include/timer-interface.h
libalarm_la_INCLUDEDIR := $(INCLUDEDIR)

alarmtool_LDFLAGS += libalarm.la
alarmtool_DIR := $(BINDIR)
alarmtool_SOURCES := alarmtool.c

apitest_CFLAGS += -I`pwd`/include
apitest_DIR := /usr/share/alarmd/tests
apitest_LDFLAGS += libalarm.la
apitest_SOURCES := tests/apitest.c

.PHONY: all
all: $(patsubst %, %.build, ${TARGETS})

$(PART): $(patsubst %.c, %.lo, ${$(subst .,_,${PART})_SOURCES}) ${$(subst .,_,${PART})_PC} ${$(subst .,_,${PART})_BACKUP} ${$(subst .,_,${PART})_CUD}
	@echo -n "  Linking..."
	@$(LIBTOOL) --quiet --mode=link $(CC) $(patsubst %.c, %.lo, ${$(subst .,_,${PART})_SOURCES}) -o $@ ${$(subst .,_,${PART})_LDFLAGS}
	@echo "done."

%.build:
	@echo "Target $(patsubst %.build,%,$@)..."
	@$(MAKE) LIBDIR="$(LIBDIR)" PLUGINDIR="$(PLUGINDIR)" -s PART="$(patsubst %.build,%,$@)" $(patsubst %.build,%,$@)

%.lo: %.c $($(subst .,_,${PART})_HEADERS)
	@echo -n "  Building $@..."
	@$(LIBTOOL) --quiet --mode=compile $(CC) $(CFLAGS) $($(subst .,_,${PART})_CFLAGS) -c $< -o $@
	@echo "done."
	

.PHONY: doc
doc:
#	@$(DOXYGEN) 2> $(TOPDIR)/doc/warnings > /dev/null
	$(MAKE) -C doc PACKAGE=$(PACKAGE)	

.PHONY: clean
clean: $(patsubst %, %.clean, ${TARGETS})
	@rm -f core

%.clean:
	@libtool --quiet --mode=clean rm -f $(patsubst %.c, %.lo, ${$(subst .,_,$(patsubst %.clean,%,$@))_SOURCES})

.PHONY: distclean
distclean: clean
	@libtool --quiet --mode=clean rm -f ${TARGETS}
	@rm -f *~

.PHONY: install
install: $(patsubst %, %.install, ${TARGETS})

%.install: %.build
	@$(INSTALL_DIR) ${$(subst .,_,$(patsubst %.install,%,$@))_DIR}
	@libtool --quiet --mode=install $(INSTALL) $(patsubst %.install,%,$@) ${$(subst .,_,$(patsubst %.install,%,$@))_DIR}
	@if [ x != "x${$(subst .,_,$(patsubst %.install,%,$@))_PC}" ]; then $(INSTALL_DIR) ${$(subst .,_,$(patsubst %.install,%,$@))_PCDIR}; $(INSTALL_DATA) ${$(subst .,_,$(patsubst %.install,%,$@))_PC} ${$(subst .,_,$(patsubst %.install,%,$@))_PCDIR}; fi
	@if [ x != "x${$(subst .,_,$(patsubst %.install,%,$@))_BACKUP}" ]; then $(INSTALL_DIR) ${$(subst .,_,$(patsubst %.install,%,$@))_BACKUPDIR}; $(INSTALL_DATA) ${$(subst .,_,$(patsubst %.install,%,$@))_BACKUP} ${$(subst .,_,$(patsubst %.install,%,$@))_BACKUPDIR}; fi
	@if [ x != "x${$(subst .,_,$(patsubst %.install,%,$@))_CUD}" ]; then $(INSTALL_DIR) ${$(subst .,_,$(patsubst %.install,%,$@))_CUDDIR}; $(INSTALL) ${$(subst .,_,$(patsubst %.install,%,$@))_CUD} ${$(subst .,_,$(patsubst %.install,%,$@))_CUDDIR}; fi
	@if [ x != "x${$(subst .,_,$(patsubst %.install,%,$@))_INCLUDES}" ]; then $(INSTALL_DIR) ${$(subst .,_,$(patsubst %.install,%,$@))_INCLUDEDIR}; $(INSTALL_DATA) ${$(subst .,_,$(patsubst %.install,%,$@))_INCLUDES} ${$(subst .,_,$(patsubst %.install,%,$@))_INCLUDEDIR}; fi

%: %.in Makefile debian/changelog
	@cat $< | sed -e 's!@LIBDIR@!$(LIBDIR)!g; s!@INCLUDEDIR@!$(INCLUDEDIR)!g; s/@VERSION@/$(VERSION)/g; s!@VARDIR@!$(VARDIR)!g;' > $@
%.sh: %.sh.in Makefile debian/changelog
	@cat $< | sed -e 's!@LIBDIR@!$(LIBDIR)!g; s!@INCLUDEDIR@!$(INCLUDEDIR)!g; s/@VERSION@/$(VERSION)/g; s!@VARDIR@!$(VARDIR)!g;' > $@

=== debian/changelog ===
alarmd (0.4.0) unstable; urgency=low

  * Version bump.
  * Reduce writes of data files. Fixes: NB#47023
  * Fix syntax errors in manpages.
  * Add debug logging.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 13 Nov 2006 13:19:44 +0200

alarmd (0.2.28) unstable; urgency=low

  * Create debug package too. Fixes: NB#46635

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  8 Nov 2006 16:19:29 +0200

alarmd (0.2.27) unstable; urgency=low

  * Add NULL check. Fixes: NB#46535

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  6 Nov 2006 15:08:49 +0200

alarmd (0.2.26) unstable; urgency=low

  * Fix DBus service started match string.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 25 Oct 2006 17:34:44 +0300

alarmd (0.2.25) unstable; urgency=low

  * Add more detailed match for service waiting. Fixes: NB#44955
  * Very minor cleanups.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 25 Oct 2006 13:36:04 +0300

alarmd (0.2.24) unstable; urgency=low

  * Minor cleanups. Fixes: NB#43912

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 23 Oct 2006 15:28:14 +0300

alarmd (0.2.23) unstable; urgency=low

  * Various cleanups. Fixes: NB#43037

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 11 Oct 2006 17:41:19 +0300

alarmd (0.2.22) unstable; urgency=low

  * Don't clear hw clock alarm on deinit.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  9 Oct 2006 15:56:25 +0300

alarmd (0.2.21) unstable; urgency=low

  * Launch new events -- not old ones -- when time changes.
  * Fix slist handling in AlarmdQueue time_changed method.
    Fixes: NB#42433
  * More manpages.
  * Fix segmentation fault on deinitialization.
  * Make timer plugins aware of initialization state. Fixes: NB#40727.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  9 Oct 2006 13:47:00 +0300

alarmd (0.2.20) unstable; urgency=low

  * Add clear used data script. Fixes: NB#41687

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  4 Oct 2006 16:07:35 +0300

alarmd (0.2.19) unstable; urgency=low

  * Show powerup dialog also on snooze. Fixes: NB#35990
  * Add ALARM_EVENT_BACK_RESCHEDULE flag.
  * Add manpages.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  4 Oct 2006 10:25:54 +0300

alarmd (0.2.18) unstable; urgency=low

  * Add ALARM_EVENT_POSTPONE_DELAYED flag.
  * Move flags from actiondialog to action.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 27 Sep 2006 15:18:00 +0300

alarmd (0.2.17) unstable; urgency=low

  * Use own retutime wrappers instead of osso-clock.
  * Separate more rpc calls to own files.
  * Use new osso-systemui-dbus-dev.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu, 21 Sep 2006 16:30:24 +0300

alarmd (0.2.16) unstable; urgency=low

  * Add alarm_unescape_string to libalarm.
  * Iterate all events on query, including pending ones.
  * Send 'off' messages to mce more verbosely. Fixes: NB#40414.
  * Save queue if it changes during startup.
  * When connected event is launched, wait for connection if not
    connected. Fixes: NB#30579.
  * Do some logging on error cases.
  * Fix delayed event handling in timer plugins. Fixes: NB#40680.
  * Fix dequeue event handling.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 18 Sep 2006 16:23:01 +0300

alarmd (0.2.15) unstable; urgency=low

  * Send original alarm time to systemui.
  * Add alarm_escape_string to libalarm.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 13 Sep 2006 10:44:22 +0300

alarmd (0.2.14) unstable; urgency=low

  * Improve recurring alarm postponing algorithm.
  * Save queue when snooze time gets changed.
  * Fix snooze on old alarms. Fixes: NB#39451.
  * Tell systemui to replay sound. Fixes: NB#36239.
  * Acknowledge pending alarms on shutdown. Fixes: NB#38636.
  * Include configuration file for osso-backup. Fixes: NB#36536.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 11 Sep 2006 13:23:45 +0300

alarmd (0.2.13) unstable; urgency=low

  * Improve mce communication.
  * Use powerup dialog in dbus and exec action types too. Fixes:
    NB#35990.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu,  7 Sep 2006 09:59:33 +0300

alarmd (0.2.12) unstable; urgency=low

  * Remove .la and .a files from package. Fixes: NB#38467.
  * Call mce with alarm dialog visibility status. Fixes: NB#39047.
  * Add NULL terminator to g_object_get call. Fixes: NB#37662.
  * Call timer plugin time_changed methods when time changes. Fixes:
    NB#38600.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue,  5 Sep 2006 13:45:44 +0300

alarmd (0.2.11) unstable; urgency=low

  * Fix storing the snooze time.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  2 Aug 2006 16:27:57 +0300

alarmd (0.2.10) unstable; urgency=low

  * Added set_get default snooze functions and snoozed field to
    libalarm/alarm_event_t sctruct and changed the implementation
    accordingly. Fixes: NB#35308.
  * Changed to signleton dbus bus handling. Fixes: NB#34449.
  * Fixed queue to continue working even when an alarm dialog is
    showing.
  * Added timer-interface.h to libalarm-dev package.
  * Added error reporting to libalarm.
  * Added activation flag to events.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  2 Aug 2006 10:41:13 +0300

alarmd (0.2.9) unstable; urgency=low

  * Only use retu to get device up, gtimeouts for normal timing for
    finer granularity. Fixes: NB#35183.
  * Act on time changes that pass over the alarm time. Fixes: NB#35244.
  * Change loading order of timers and queue in order to get queued
    items on right queue.
  * Fix dbus bus handling in statusbar subsystem.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 25 Jul 2006 14:20:35 +0300

alarmd (0.2.8) unstable; urgency=low

  * Add alarm_dbus.h to libalarm-dev.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri, 14 Jul 2006 14:05:13 +0300

alarmd (0.2.7) unstable; urgency=low



=== debian/control ===
Source: alarmd
Section: utils
Priority: optional
Maintainer: David Weinehall <david.weinehall@nokia.com>
Uploaders: Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libtool, libglib2.0-0 (>= 2.6.0), osso-systemui-dbus-dev, libxml2-dev, mce-dev (>= 1.4.0), osso-ic-dev
Standards-Version: 3.7.2

Package: alarmd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: osso-systemui-alarm (<< 0.1.6.3)
Description: Generic alarm dispatcher
 This package contains the alarm daemon which provides event
 handling features for applications.

Package: libalarm0
Architecture: any
Depends: ${shlibs:Depends}
Description: Convenience API for alarm dispatcher
 This package contains C helper API for using alarm daemon.

Package: libalarm-dev
Architecture: any
Depends: libalarm0
Description: Development files for alarm dispatcher
 This package contains C headers for the helper API.

Package: alarmtool
Architecture: any
Depends: ${shlibs:Depends}
Description: Simple alarmd command line utility
 This package contains a command line tool for modifying and querying
 the alarm queue.

Package: libalarm0-dbg
Architecture: any
Depends: ${shlibs:Depends}, libalarm0 (= ${Source-Version})
Description: Convenience API for alarm dispatcher with debugging symbols
 This package contains C helper API for using alarm daemon with debugging
 symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

configure:

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS="$(CFLAGS)" $(MAKE)
	#/usr/bin/docbook-to-man debian/oad.sgml > oad.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/oad.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --source=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit -- defaults 99 1
#	dh_installcron
#	dh_installinfo
	dh_installman
	for p in alarm_event_del alarm_event_get alarm_event_query alarmd_get_error; do \
		ln -s alarm_event_add.3.gz debian/libalarm-dev/usr/share/man/man3/$$p.3.gz ; \
	done
	for p in alarm_unescape_string alarm_unescape_string_noallog; do \
		ln -s alarm_escape_string.3.gz debian/libalarm-dev/usr/share/man/man3/$$p.3.gz ; \
	done
	ln -s alarmd_set_default_snooze.3.gz debian/libalarm-dev/usr/share/man/man3/alarmd_get_default_snooze.3.gz
	dh_link
	dh_strip --dbg-package=libalarm0
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## alarmd 0.4.3

=== debian/changelog ===
alarmd (0.4.3) unstable; urgency=low

  * Remove invalid sanity check. Fixes: NB#50448

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri,  5 Jan 2007 16:23:18 +0200

alarmd (0.4.2) unstable; urgency=low

  * Add error state to alarm_event_del.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 28 Nov 2006 13:32:00 +0200

alarmd (0.4.1) unstable; urgency=low

  * Add missing g_object_unref. Fixes: NB#47930

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 27 Nov 2006 17:06:10 +0200

## alarmd 0.4.92

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,16 @@
 # Makefile for alarmd
-# Copyright (C) 2006 Nokia.  All rights reserved.
+# Copyright (C) 2006-2007 Nokia Corporation.
 # Written by David Weinehall
+#
+# alarmd and libalarm are distributed in the hope that they will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this software; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+# 02110-1301 USA
 
 VERSION := $(shell head -n1 debian/changelog | sed -e 's/^.*(\([^-]*\)\(-.*\)*).*$$/\1/')
 LIBVER := 0:0:0
@@ -43,10 +53,10 @@
 CFLAGS += -DOSSOLOG_COMPILE
 CFLAGS += $(WARNINGS)
 
-alarmd_CFLAGS += `pkg-config glib-2.0 gobject-2.0 gmodule-2.0 dbus-1 libxml-2.0 libosso osso-ic mce osso-systemui-dbus --cflags` -DG_MODULE \
-		-DPLUGINDIR=\"$(PLUGINDIR)\" -DDBUS_API_SUBJECT_TO_CHANGE -DPACKAGE=\"$(PACKAGE)\" -DVERSION=\"$(VERSION)\" -DDATADIR=\"$(VARDIR)\"
-# Note, we don't have osso-ic here, as we don't want to link to it.
-alarmd_LDFLAGS += `pkg-config glib-2.0 gobject-2.0 gmodule-2.0 dbus-1 libxml-2.0 libosso mce osso-systemui-dbus --libs` -export-dynamic
+alarmd_CFLAGS += `pkg-config glib-2.0 gobject-2.0 gmodule-2.0 dbus-1 libxml-2.0 libosso conic mce osso-systemui-dbus --cflags` -DG_MODULE \
+		-DPLUGINDIR=\"$(PLUGINDIR)\" -DPACKAGE=\"$(PACKAGE)\" -DVERSION=\"$(VERSION)\" -DDATADIR=\"$(VARDIR)\" \
+		-DDBUS_API_SUBJECT_TO_CHANGE
+alarmd_LDFLAGS += `pkg-config glib-2.0 gobject-2.0 gmodule-2.0 dbus-1 libxml-2.0 libosso conic mce osso-systemui-dbus --libs` -export-dynamic
 
 alarmd_SOURCES := alarmd.c event.c action.c object.c xmlobjectfactory.c \
 		queue.c initialize.c timer-loader.c debug.c rpc-systemui.c \
@@ -68,21 +78,21 @@
 
 alarmd_DIR := $(BINDIR)
 
-libgtimeout_la_CFLAGS += `pkg-config glib-2.0 dbus-1 --cflags`
-libgtimeout_la_LDFLAGS += `pkg-config glib-2.0 dbus-1 --libs` -module -avoid-version -rpath $(PLUGINDIR)
+libgtimeout_la_CFLAGS += `pkg-config glib-2.0 --cflags`
+libgtimeout_la_LDFLAGS += `pkg-config glib-2.0 --libs` -module -avoid-version -rpath $(PLUGINDIR)
 
 libgtimeout_la_SOURCES := timer-gtimeout.c
 libgtimeout_la_HEADERS := include/timer-interface.h debug.h
 libgtimeout_la_DIR := $(PLUGINDIR)
 
-libretu_la_CFLAGS += `pkg-config glib-2.0 dbus-1 --cflags` -DDBUS_API_SUBJECT_TO_CHANGE
-libretu_la_LDFLAGS += `pkg-config glib-2.0 dbus-1 --libs` -module -avoid-version -rpath $(PLUGINDIR)
+libretu_la_CFLAGS += `pkg-config glib-2.0 --cflags`
+libretu_la_LDFLAGS += `pkg-config glib-2.0 --libs` -module -avoid-version -rpath $(PLUGINDIR)
 
 libretu_la_SOURCES := timer-retu.c rpc-retutime.c
 libretu_la_HEADERS := include/timer-interface.h debug.h rpc-retutime.h
 libretu_la_DIR := $(PLUGINDIR)
 
-libalarm_la_CFLAGS += `pkg-config dbus-1 --cflags`
+libalarm_la_CFLAGS += `pkg-config dbus-1 --cflags` -DDBUS_API_SUBJECT_TO_CHANGE
 libalarm_la_LDFLAGS += `pkg-config dbus-1 --libs` -rpath $(LIBDIR) -version-info $(LIBVER)
 
 libalarm_la_SOURCES := alarm_event.c
@@ -124,7 +134,6 @@
 
 .PHONY: doc
 doc:
-#	@$(DOXYGEN) 2> $(TOPDIR)/doc/warnings > /dev/null
 	$(MAKE) -C doc PACKAGE=$(PACKAGE)	
 
 .PHONY: clean

=== debian/changelog ===
alarmd (0.4.92) unstable; urgency=low

  * Fix trivial leak. Fixes: NB#57867

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 21 May 2007 17:16:05 +0300

alarmd (0.4.91) unstable; urgency=low

  * Minor cleanups.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 23 Apr 2007 13:50:06 +0300

alarmd (0.4.90) unstable; urgency=low

  * Add missing build-dependency to libosso-dev.
  * Backport changes from trunk.
  * Handle missed alarms properly in acting dead.
  * Clear alarm from retu on alarmd startup.
  * Don't wake up the device from acting dead if the event doesn't have
    BOOT flag. Fixes: NB#54179
  * Use libconic instead of listening directly for osso-ic signals.
  * Timer plugins don't use dbus.
  * Fix alarm_event_query in libalarm.
  * Stop using deprecated dbus_message_iter_get_array_len.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 16 Apr 2007 10:27:00 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: David Weinehall <david.weinehall@nokia.com>
-Uploaders: Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), libtool, libglib2.0-0 (>= 2.6.0), osso-systemui-dbus-dev, libxml2-dev, mce-dev (>= 1.4.0), osso-ic-dev
+Uploaders: Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>, Philippe De Swert <philippe.de-swert@nokia.com>
+Build-Depends: debhelper (>= 4.0.0), libtool, libglib2.0-0 (>= 2.6.0), osso-systemui-dbus-dev, libxml2-dev, mce-dev (>= 1.4.0), libconic0-dev, libdbus-1-dev (>= 0.50), libdbus-glib-1-dev, libosso-dev
 Standards-Version: 3.7.2
 
 Package: alarmd
@@ -17,12 +17,14 @@
 Package: libalarm0
 Architecture: any
 Depends: ${shlibs:Depends}
+Section: libs
 Description: Convenience API for alarm dispatcher
  This package contains C helper API for using alarm daemon.
 
 Package: libalarm-dev
 Architecture: any
 Depends: libalarm0
+Section: libdevel
 Description: Development files for alarm dispatcher
  This package contains C headers for the helper API.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2006-2007 Nokia Corporation.
# Written by David Weinehall
#
# alarmd and libalarm are distributed in the hope that they will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this software; if not, write to the Free
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301 USA

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

build: build-stamp

build-stamp:
	dh_testdir

	CFLAGS="$(CFLAGS)" $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install --source=debian/tmp
	dh_installinit -- defaults 99 1
	dh_installman
	# Install man page symlinks to alarm_event_add
	for p in alarm_event_del alarm_event_get alarm_event_query alarmd_get_error; do \
		ln -s alarm_event_add.3.gz debian/libalarm-dev/usr/share/man/man3/$$p.3.gz ; \
	done
	# Install man page symlinks to alarm_escape_string
	for p in alarm_unescape_string alarm_unescape_string_noallog; do \
		ln -s alarm_escape_string.3.gz debian/libalarm-dev/usr/share/man/man3/$$p.3.gz ; \
	done
	# Install man page symlink to alarmd_set_default_snooze
	ln -s alarmd_set_default_snooze.3.gz debian/libalarm-dev/usr/share/man/man3/alarmd_get_default_snooze.3.gz
	dh_link
	dh_strip --dbg-package=libalarm0
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary-indep binary install

## alarmd 0.5.16

=== debian/changelog ===
alarmd (0.5.16) unstable; urgency=low

  * Add documentation for a couple of symbols.
  * Don't ignore snooze when postponing events. Fixes: NB#68688

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 10 Sep 2007 15:53:54 +0300

alarmd (0.5.15) unstable; urgency=low

  * Disconnect signal when object is destroyed to prevent crashes.
    Fixes: NB#68599

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu,  6 Sep 2007 14:04:19 +0300

alarmd (0.5.14) unstable; urgency=low

  * Missed to set the depends to alarmd for alarmd-dbg

 -- Ismo Laitinen <ismo.laitinen@nokia.com>  Wed, 15 Aug 2007 12:26:39 +0300

alarmd (0.5.13) unstable; urgency=low

  * Add debug package alarmd-dbg. Fixes: NB:#65720 

 -- Ismo Laitinen <ismo.laitinen@nokia.com>  Wed, 15 Aug 2007 11:47:53 +0300

alarmd (0.5.12) unstable; urgency=low

  * Remove .service file. Fixes: NB#64976

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri,  3 Aug 2007 16:15:44 +0300

alarmd (0.5.11) unstable; urgency=low

  * Differentiate real ACK and shutdown-ACK.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 17 Jul 2007 18:05:18 +0300

alarmd (0.5.10) unstable; urgency=low

  * Disable auto start in libalarm. Fixes: NB#61438

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 25 Jun 2007 13:24:10 +0300

alarmd (0.5.9) unstable; urgency=low

  * Use new sb alarm API. Fixes: NB#58741

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 28 May 2007 14:29:23 +0300

alarmd (0.5.8) unstable; urgency=low

  * Handle empty argument array.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 21 May 2007 10:22:54 +0300

alarmd (0.5.7) unstable; urgency=low

  * Fix memory leak.
  * Add support for DBus arguments in daemon.
  * Add dbus argument passing to libalarm.
  * Improve error reporting in alarm_event_add.
  * Ignore dialog arguments if NO_DIALOG set.
  * Add service file for scratchbox usage.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 15 May 2007 15:51:53 +0300

alarmd (0.5.6) unstable; urgency=low

  * Make the initscript work without dsmetool. Fixes: NB#55247
  * Minor cleanups.
  * Use glib logging macros instead of osso-log, thanks to Rob Bradford
    for the patch.
  * Cast strings from/to xmlChar * where appropriate, thanks to Rob
    Bradford for the patch.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue,  8 May 2007 10:37:22 +0300

alarmd (0.5.5) unstable; urgency=low

  * Add missing build-dependency to libosso-dev.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue,  3 Apr 2007 12:23:03 +0300

alarmd (0.5.4) unstable; urgency=low

  * Handle missed alarms properly in acting dead.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  2 Apr 2007 16:23:27 +0300

alarmd (0.5.3) unstable; urgency=low

  * Clear alarm from retu on alarmd startup. Fixes: NB#52444
  * Don't wake up the device from acting dead if the event doesn't have
    BOOT flag. Fixes: NB#53466
  * Use libconic instead of listening directly for osso-ic signals.
  * Timer plugins don't use dbus.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  2 Apr 2007 14:59:43 +0300

alarmd (0.5.2) unstable; urgency=low

  * Fix alarm_event_query in libalarm.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 21 Mar 2007 11:38:54 +0200

alarmd (0.5.1) unstable; urgency=low

  * Wait for hildon-desktop, not statusbar.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 20 Mar 2007 15:18:12 +0200

alarmd (0.5.0) unstable; urgency=low

  * Stop using deprecated dbus_message_iter_get_array_len.
  * Don't use now unneeded DBUS_API_SUBJECT_TO_CHANGE.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 13 Mar 2007 18:03:20 +0200

## alarmd 0.5.18

=== Makefile ===
--- 
+++ 
@@ -32,12 +32,13 @@
 INCLUDEDIR := $(DESTDIR)/usr/include/alarmd
 BACKUPDIR := $(DESTDIR)/etc/osso-backup/applications
 CUDDIR := $(DESTDIR)/etc/osso-cud-scripts
+SERVICEDIR := $(DESTDIR)/usr/share/dbus-1/services
 
 TOPDIR := $(shell /bin/pwd)
 DOCDIR := $(TOPDIR)/doc
 
 PACKAGE=alarmd
-TARGETS=alarmd libalarm.la libgtimeout.la libretu.la alarmtool apitest
+TARGETS=alarmd libalarm.la libgtimeout.la libretu.la alarmtool apitest dbustest
 
 WARNINGS += -Werror
 WARNINGS += -W -Wall -Wpointer-arith -Wundef -Wcast-align
@@ -54,8 +55,7 @@
 CFLAGS += $(WARNINGS)
 
 alarmd_CFLAGS += `pkg-config glib-2.0 gobject-2.0 gmodule-2.0 dbus-1 libxml-2.0 libosso conic mce osso-systemui-dbus --cflags` -DG_MODULE \
-		-DPLUGINDIR=\"$(PLUGINDIR)\" -DPACKAGE=\"$(PACKAGE)\" -DVERSION=\"$(VERSION)\" -DDATADIR=\"$(VARDIR)\" \
-		-DDBUS_API_SUBJECT_TO_CHANGE
+		-DPLUGINDIR=\"$(PLUGINDIR)\" -DPACKAGE=\"$(PACKAGE)\" -DVERSION=\"$(VERSION)\" -DDATADIR=\"$(VARDIR)\"
 alarmd_LDFLAGS += `pkg-config glib-2.0 gobject-2.0 gmodule-2.0 dbus-1 libxml-2.0 libosso conic mce osso-systemui-dbus --libs` -export-dynamic
 
 alarmd_SOURCES := alarmd.c event.c action.c object.c xmlobjectfactory.c \
@@ -75,6 +75,9 @@
 alarmd_CUD := alarmd.sh
 alarmd_BACKUPDIR := $(BACKUPDIR)
 alarmd_CUDDIR := $(CUDDIR)
+alarmd_SERVICEDIR := $(SERVICEDIR)
+# Disabled for now
+# alarmd_SERVICE = alarmd.service
 
 alarmd_DIR := $(BINDIR)
 
@@ -92,7 +95,7 @@
 libretu_la_HEADERS := include/timer-interface.h debug.h rpc-retutime.h
 libretu_la_DIR := $(PLUGINDIR)
 
-libalarm_la_CFLAGS += `pkg-config dbus-1 --cflags` -DDBUS_API_SUBJECT_TO_CHANGE
+libalarm_la_CFLAGS += `pkg-config dbus-1 --cflags`
 libalarm_la_LDFLAGS += `pkg-config dbus-1 --libs` -rpath $(LIBDIR) -version-info $(LIBVER)
 
 libalarm_la_SOURCES := alarm_event.c
@@ -114,10 +117,15 @@
 apitest_LDFLAGS += libalarm.la
 apitest_SOURCES := tests/apitest.c
 
+dbustest_CFLAGS += -I`pwd`/include `pkg-config dbus-glib-1 glib-2.0 --cflags`
+dbustest_DIR := /usr/share/alarmd/tests
+dbustest_LDFLAGS += libalarm.la `pkg-config dbus-glib-1 glib-2.0 --libs`
+dbustest_SOURCES := tests/dbustest.c
+
 .PHONY: all
 all: $(patsubst %, %.build, ${TARGETS})
 
-$(PART): $(patsubst %.c, %.lo, ${$(subst .,_,${PART})_SOURCES}) ${$(subst .,_,${PART})_PC} ${$(subst .,_,${PART})_BACKUP} ${$(subst .,_,${PART})_CUD}
+$(PART): $(patsubst %.c, %.lo, ${$(subst .,_,${PART})_SOURCES}) ${$(subst .,_,${PART})_PC} ${$(subst .,_,${PART})_BACKUP} ${$(subst .,_,${PART})_CUD} ${$(subst .,_,${PART})_SERVICE}
 	@echo -n "  Linking..."
 	@$(LIBTOOL) --quiet --mode=link $(CC) $(patsubst %.c, %.lo, ${$(subst .,_,${PART})_SOURCES}) -o $@ ${$(subst .,_,${PART})_LDFLAGS}
 	@echo "done."
@@ -134,6 +142,7 @@
 
 .PHONY: doc
 doc:
+#	@$(DOXYGEN) 2> $(TOPDIR)/doc/warnings > /dev/null
 	$(MAKE) -C doc PACKAGE=$(PACKAGE)	
 
 .PHONY: clean
@@ -157,9 +166,10 @@
 	@if [ x != "x${$(subst .,_,$(patsubst %.install,%,$@))_PC}" ]; then $(INSTALL_DIR) ${$(subst .,_,$(patsubst %.install,%,$@))_PCDIR}; $(INSTALL_DATA) ${$(subst .,_,$(patsubst %.install,%,$@))_PC} ${$(subst .,_,$(patsubst %.install,%,$@))_PCDIR}; fi
 	@if [ x != "x${$(subst .,_,$(patsubst %.install,%,$@))_BACKUP}" ]; then $(INSTALL_DIR) ${$(subst .,_,$(patsubst %.install,%,$@))_BACKUPDIR}; $(INSTALL_DATA) ${$(subst .,_,$(patsubst %.install,%,$@))_BACKUP} ${$(subst .,_,$(patsubst %.install,%,$@))_BACKUPDIR}; fi
 	@if [ x != "x${$(subst .,_,$(patsubst %.install,%,$@))_CUD}" ]; then $(INSTALL_DIR) ${$(subst .,_,$(patsubst %.install,%,$@))_CUDDIR}; $(INSTALL) ${$(subst .,_,$(patsubst %.install,%,$@))_CUD} ${$(subst .,_,$(patsubst %.install,%,$@))_CUDDIR}; fi
+	@if [ x != "x${$(subst .,_,$(patsubst %.install,%,$@))_SERVICE}" ]; then $(INSTALL_DIR) ${$(subst .,_,$(patsubst %.install,%,$@))_SERVICEDIR}; $(INSTALL_DATA) ${$(subst .,_,$(patsubst %.install,%,$@))_SERVICE} ${$(subst .,_,$(patsubst %.install,%,$@))_SERVICEDIR}; fi
 	@if [ x != "x${$(subst .,_,$(patsubst %.install,%,$@))_INCLUDES}" ]; then $(INSTALL_DIR) ${$(subst .,_,$(patsubst %.install,%,$@))_INCLUDEDIR}; $(INSTALL_DATA) ${$(subst .,_,$(patsubst %.install,%,$@))_INCLUDES} ${$(subst .,_,$(patsubst %.install,%,$@))_INCLUDEDIR}; fi
 
 %: %.in Makefile debian/changelog
-	@cat $< | sed -e 's!@LIBDIR@!$(LIBDIR)!g; s!@INCLUDEDIR@!$(INCLUDEDIR)!g; s/@VERSION@/$(VERSION)/g; s!@VARDIR@!$(VARDIR)!g;' > $@
+	@cat $< | sed -e 's!@BINDIR@!$(BINDIR)!g; s!@LIBDIR@!$(LIBDIR)!g; s!@INCLUDEDIR@!$(INCLUDEDIR)!g; s/@VERSION@/$(VERSION)/g; s!@VARDIR@!$(VARDIR)!g;' > $@
 %.sh: %.sh.in Makefile debian/changelog
-	@cat $< | sed -e 's!@LIBDIR@!$(LIBDIR)!g; s!@INCLUDEDIR@!$(INCLUDEDIR)!g; s/@VERSION@/$(VERSION)/g; s!@VARDIR@!$(VARDIR)!g;' > $@
+	@cat $< | sed -e 's!@BINDIR@!$(BINDIR)!g; s!@LIBDIR@!$(LIBDIR)!g; s!@INCLUDEDIR@!$(INCLUDEDIR)!g; s/@VERSION@/$(VERSION)/g; s!@VARDIR@!$(VARDIR)!g;' > $@

=== doc/Makefile ===
# Makefile for alarmd gtk-doc documentation
# Copyright (C) 2006-2007 Nokia Corporation.
# Contact Person: David Weinehall <david.weinehall@nokia.com>
#
# alarmd and libalarm are distributed in the hope that they will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this software; if not, write to the Free
# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301 USA

all: doc

doc:
	CFLAGS="-I.. `pkg-config glib-2.0 gobject-2.0 gmodule-2.0 dbus-1 gconf-2.0 libxml-2.0 libosso conic --cflags` -DDBUS_API_SUBJECT_TO_CHANGE" LDFLAGS="`pkg-config glib-2.0 gobject-2.0 gmodule-2.0 dbus-1 gconf-2.0 libxml-2.0 libosso conic --libs` ../.libs/action*.o ../.libs/event*.o ../.libs/queue*.o ../.libs/object*.o ../.libs/rpc*.o ../.libs/*objectfactory.o" gtkdoc-scangobj --module=$(PACKAGE) --output-dir=.
	gtkdoc-scan --module=$(PACKAGE) --source-dir=.. --output-dir=.
	gtkdoc-mktmpl --module=$(PACKAGE)
	gtkdoc-mkdb --module=$(PACKAGE) --source-dir=.. --tmpl-dir=tmpl --output-format=xml --main-sgml-file=$(PACKAGE)-docs.sgml --sgml-mode --ignore-files=debian
	gtkdoc-mkhtml $(PACKAGE) $(PACKAGE)-docs.sgml

clean:
	rm -f *.html sgml/* xml/* *.stamp

=== debian/changelog ===
alarmd (0.5.18) unstable; urgency=low

  * Make sure snoozed alarms get scheduled first. Fixes: NB#74394

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Fri, 16 Nov 2007 13:20:08 +0200

alarmd (0.5.17) unstable; urgency=low

  * Fix some potential double frees. Fixes: NB#69718
  * Check g_shell_parse_argv return value instead of the pointer.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 18 Sep 2007 12:33:34 +0300

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,15 @@
 Conflicts: osso-systemui-alarm (<< 0.1.6.3)
 Description: Generic alarm dispatcher
  This package contains the alarm daemon which provides event
+ handling features for applications.
+
+Package: alarmd-dbg
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, alarmd (= ${Source-Version})
+Conflicts: osso-systemui-alarm (<< 0.1.6.3)
+Section: devel
+Description: Generic alarm dispatcher
+ This package contains the alarm daemon with debug symbols which provides event
  handling features for applications.
 
 Package: libalarm0

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	dh_testroot
 	rm -f build-stamp
 
-	-$(MAKE) distclean
+	$(MAKE) distclean
 
 	dh_clean 
 
@@ -70,7 +70,7 @@
 	# Install man page symlink to alarmd_set_default_snooze
 	ln -s alarmd_set_default_snooze.3.gz debian/libalarm-dev/usr/share/man/man3/alarmd_get_default_snooze.3.gz
 	dh_link
-	dh_strip --dbg-package=libalarm0
+	dh_strip --dbg-package=libalarm0 --dbg-package=alarmd
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -V

## alarmd 0.5.20

=== debian/changelog ===
alarmd (0.5.20) unstable; urgency=low

  * Fix alarmd busylooping. Fixes: NB#83269

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Mon, 12 May 2008 11:51:09 +0300

alarmd (0.5.19) unstable; urgency=low
 
  * coverity fixes

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Wed, 06 Feb 2008 17:56:38 +0200

## alarmd 1.1.11%2b0m5

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: sh -*- -----------------------------------------------
# Debian rules for building alarmd
# ----------------------------------------------------------------
#
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

.PHONY: build clean realclean install configure\
	binary-indep binary-arch binary

build:: build-stamp

binary:: binary-indep binary-arch

realclean:: clean

configure::
# nothing to do

#----------------------------------------------------------------
# compiling the software

build-stamp: configure
	dh_testdir
	touch $@

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean

#----------------------------------------------------------------
# debian cleanup
clean::
	dh_testdir
	dh_testroot
	dh_clean

#----------------------------------------------------------------
# installation

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) debian-files
	$(MAKE) install-alarmd       ROOT=debian/alarmd
	$(MAKE) install-libalarm     ROOT=debian/libalarm2
	$(MAKE) install-libalarm-dev ROOT=debian/libalarm-dev
	$(MAKE) install-libalarm-doc ROOT=debian/libalarm-doc
	$(MAKE) install-alarmclient  ROOT=debian/alarmclient

#----------------------------------------------------------------
# architecture-independent files -> DEBIAN dirs

binary-indep: install
# nothing to do

#----------------------------------------------------------------
# architecture-dependent files -> DEBIAN dirs

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_install -s
	dh_installman
	# Note: clockd must be started before alarmd
	dh_installinit -- defaults 37 63
	dh_link
	dh_strip --dbg-package=alarmd\
	         --dbg-package=alarmclient\
	         --dbg-package=libalarm2
	dh_compress
	dh_fixperms
	dh_makeshlibs
# 	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
